Welcome to Geeklog Tuesday, December 10 2019 @ 09:37 pm EST

Geeklog Forums

upgrade problem


Status: offline

trampoline

Forum User
Full Member
Registered: 24/02/06
Posts: 392
I loaded the install.php page all went ok I got to the success page and got this...

Unfortunately, an error has occurred rendering this page. Please try again later.

I can still load the install.php page, but all other pages load this. I copied the data to config.php, copied the actual libcustom.php and put the path into libcommon.php not sure what to do, the logs show no error ???
 Quote

Status: offline

trampoline

Forum User
Full Member
Registered: 24/02/06
Posts: 392
I upgraded from 1.4.0 to the latest beta
 Quote

Status: offline

Dirk

Site Admin
Admin
Registered: 12/01/02
Posts: 13073
Location:Stuttgart, Germany
Try setting

$_CONF['rootdebug'] = true;

temporarily(!!!), i.e. make sure to change it back to = false once you found the error.

bye, Dirk
 Quote

Status: offline

trampoline

Forum User
Full Member
Registered: 24/02/06
Posts: 392
Thanks sorted in 1 minute all working now !
 Quote

Status: offline

jef

Forum User
Junior
Registered: 26/07/03
Posts: 28
Hi.

I've upgraded to the new 1.41rc1 on a site and I get :
«Unfortunately, an error has occurred rendering this page. Please try again later»
message for all pages except install.php.

Now, after looking at the forum, I've set the debug flag to true, but without more success, always same problem occur.

Because the site has to be re-done completely, I've wiped out everything to new (files and database erased) and try to install as «new». No change, still has the error message...

Now, I've erased everything again and waiting for options...

Thanks!

Jef


It ain't easy being you
 Quote

Status: offline

trampoline

Forum User
Full Member
Registered: 24/02/06
Posts: 392
The debug is useful because the logs will say exactly what went wrong then you can do what needs to be done to sort it out ?
The logs are in the Geeklog folder on your server > geeklog > Logs
 Quote

Status: offline

mevans

Forum User
Full Member
Registered: 08/02/04
Posts: 393
Location:Texas
Jef,

Did you edit the lib-common.php file and update the path to config.php? I seem to always forget that step on upgrades and it reacts the same way you are seeing.

Just a thought..

Thanks!
Mark
 Quote

Status: offline

jastanle84

Forum User
Chatty
Registered: 17/12/06
Posts: 36
jef,

dunno, how bout wiping the config.php file because it looks like it is still there. or u could make sure you typed the right syntax that Dirk presented, otherwise go with mevans suggestion

$_CONF['rootdebug'] = true;
 Quote

Status: offline

ronack

Forum User
Full Member
Registered: 27/05/03
Posts: 612
I just tried to upgrade two different sites today. The upgrade appeared to work but I received the same error message on both. After it failed I ended up doing a clean install which worked fine. However I do have about 30 more sites to upgrade and I don't really want to do a clean install. I need it to go smoothly so that I'm not down for an extended amount of time. Any idea what is causing this?
 Quote

Status: offline

ronack

Forum User
Full Member
Registered: 27/05/03
Posts: 612
Ahh I think I got it, during my upgrade I put the new Geeklog 1.4.1rc1 into into a new directory. Of course not all the plugins were in the new directory. Once I got all the plugins in place I no longer received that error.

Hope this helps someone.
 Quote

Status: offline

ronack

Forum User
Full Member
Registered: 27/05/03
Posts: 612
I guess I spoke to soon. I logged into the site and got an SQL error.
 Quote

Status: offline

ronack

Forum User
Full Member
Registered: 27/05/03
Posts: 612
I have debug turned on and I checked the error log. Here is what is in the error log.

12/24/06 14:46:12 - 1064: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' ' at line 1. SQL in question: SELECT COUNT(*) FROM

Which really doesn't tell me anything.


 Quote

TechnoHippie

Anonymous
I get this error message:
Tue 26 Dec 2006 10:21:12 GMT-8 - 1146: Table 'mydatabase.WP_BB_LOG' doesn't exist. SQL in question: SELECT COUNT(*) FROM WP_BB_LOG

This is the second time I've attempted upgrading to this version and I really don't want to have to downgrade AGAIN! Any hints?

peace, Judy
 Quote

Status: offline

mevans

Forum User
Full Member
Registered: 08/02/04
Posts: 393
Location:Texas
Judy,

Looks like you have the Bad Behavior plugin installed. Remember you have to edit the lib-common.php file and insert an include for Bad Behavior, I'll bet you haven't done that to the new lib-common.php after upgrading Geeklog.

Thanks!
Mark
 Quote

All times are EST. The time is now 09:37 pm.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content